﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using MvcApplication14;
using System.Collections;
using MVCSampleBrowser.Models;
using Syncfusion.JavaScript.DataSources;
namespace MvcApplication14.Controllers
{
    public class GridController : Controller
    {
        //
        // GET: /Grid/
        public ActionResult GridFeatures()
        {
            return View();
        }
        public JsonResult DataSource(Syncfusion.JavaScript.DataManager dm)
        {
            try
            {
                var DataSource = OrderRepository.GetAllRecords();
                throw new Exception();
                DataResult result = new DataResult();
                result.result = DataSource.Skip(dm.Skip).Take(dm.Take).ToList();
                result.count = DataSource.Count();
                return Json(result, JsonRequestBehavior.AllowGet);
            }
            catch (Exception ex)
            {
                return Json(ex, JsonRequestBehavior.AllowGet);
            }
        }
        public ActionResult DataSource2(Syncfusion.JavaScript.DataManager dm)
        {
            var DataSource = new NorthwindDataContext().OrdersViews.ToList();
            return Json(DataSource, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable<EditableOrder> result { get; set; }
            public int count { get; set; }
        }
        public ActionResult Update(EditableOrder value)
        {
            OrderRepository.Update(value);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Insert(EditableOrder value)
        {
            OrderRepository.Add(value);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
        public ActionResult Delete(int key)
        {
            OrderRepository.Delete(key);
            var data = OrderRepository.GetAllRecords();
            return Json(data, JsonRequestBehavior.AllowGet);
        }
    }
}